### Name: startBardCluster
### Title: Use bard with snow distributed computing clusters.
### Aliases: startBardCluster stopBardCluster
### Keywords: IO spatial

### ** Examples

  ## Not run: 
##D         suffolk.map <- importBardShape(file.path(system.file("shapefiles", package="BARD"),"suffolk_tracts"))  
##D           numberdists <- 5
##D   kplan <- createKmeansPlan(suffolk.map,numberdists)
##D   rplan <- createRandomPlan(suffolk.map,numberdists)
##D   myScore<-function(plan,...)  {
##D     return(calcContiguityScore(plan,...))
##D   }         
##D 
##D # here is where we try to start the cluster!
##D         startBardCluster(c("localhost","localhost")) 
##D 
##D # this will use the cluster automagically
##D samples<-samplePlans(kplan, score.fun=myScore, ngenplans=4, gen.fun = "createRandomPlan", refine.fun="refineNelderPlan",refine.args=list(maxit=200,dynamicscoring=TRUE))
##D 
##D profplans<-profilePlans(  list(kplan,rplan), score.fun=calcContiguityScore, addscore.fun=calcPopScore, numevals=2, weight=c(0,.5,1), refine.fun="refineNelderPlan",refine.args=list(maxit=200,dynamicscoring=TRUE) )
##D 
## End(Not run)




