### Name: combineDynamicScores
### Title: Convenience function for combining score functions.
### Aliases: combineDynamicScores
### Keywords: IO spatial optimize models distribution

### ** Examples

  # read in a shapefile with demographic data
  suffolk.map <- importBardShape(
    system.file("shapefiles/suffolk_tracts.shp", package="BARD"))
  ndists<-5
  
  # create some initial plans
  kplan <- createKmeansPlan(suffolk.map,ndists)
  
  calcPopScore(kplan)
  calcLWCompactScore(kplan)
  calcRangeScore(kplan, targrange=c(.01,.99))

combineDynamicScores(kplan,scorefuns=list(calcPopScore,calcLWCompactScore))

myScore<-function(plan,...){
   combineDynamicScores(plan,scorefuns=list(
        calcPopScore,
        calcLWCompactScore,
        calcContiguityScore,
        function(x,...)calcRangeScore(x,targrange=c(.01,.99),...)
   ))
}

myScore(kplan)

       kplan2<-kplan1<-kplan
       cl<-cbind(c(318,320),c(kplan1[318],kplan1[320]))
       if ( ! all(calcPopScore(kplan2,lastscore=calcPopScore(kplan1),changelist=cl) == calcPopScore(
kplan2))) {
             warning("dynamic score does not match!")
       }

        kplan2[318]<-(kplan1[318]+1)
        kplan2[320]<-(kplan1[320]+1)

        oldscore<-myScore(kplan1)
 if ( ! all (myScore(kplan2) ==  myScore(kplan2,lastscore=oldscore,changelist=cl))){
             warning("dynamic score does not match!")
       }




