### Name: createRandomPlan
### Title: Create an initial plan for later refinement
### Aliases: createRandomPlan createRandomPopPlan createKmeansPlan
###   createAssignedPlan createContiguousPlan createWeightedContiguousPlan
###   createWeightedKmeansPlan
### Keywords: IO spatial optimize models distribution

### ** Examples

  # read in a shapefile with demographic data
    suffolk.map <- importBardShape(
      file.path(system.file("shapefiles", package="BARD"),"suffolk_tracts")
  )
    
    
  # choose number of districts
  ndists <- 5
  
  # create some initial plans
  kplan <- createKmeansPlan(suffolk.map,ndists)
  rplan <- createRandomPlan(suffolk.map,ndists)
  aplan <- createAssignedPlan(suffolk.map,predvar=1:ndists)
  wkplan<-createWeightedKmeansPlan(suffolk.map,ndists,weightVar="POP")

  ## Not run: 
##D         cplan <- createContiguousPlan(suffolk.map,ndists)
##D   
## End(Not run)
  
  plot(kplan)
  summary(kplan)
  plot(summary(rplan))



