### Name: scorePlans
### Title: Methods for comparing plans
### Aliases: scorePlans diff.bardPlan
### Keywords: spatial models distribution

### ** Examples

  suffolk.map <- importBardShape(
      file.path(system.file("shapefiles", package="BARD"),"suffolk_tracts")
  )
  numberdists <- 5
  kplan <- createKmeansPlan(suffolk.map,numberdists)
  rplan <- createRandomPlan(suffolk.map,numberdists)
  pdiff <- diff(kplan,rplan)
  # detailed
  print(pdiff)
  # numbers of changes
  print(summary(pdiff)) 
  # shows changed blocks on a map
  plot(pdiff,plotall=TRUE)
  # show scores
  scorePlans(list("kmeans"=kplan,"random"=rplan),
        scoreFUNs=list( "Contiguity"=calcContiguityScore,
        "Holes"=calcHolesScore,
    "LW Compact"=calcLWCompactScore,
    "Reock"=calcReockScore) )



