### Name: readBardCheckpoint
### Title: Write checkpoint of BARD state, read checkpoint and restart.
### Aliases: readBardCheckpoint writeBardCheckpoint
### Keywords: spatial IO

### ** Examples

  # read in a shapefile with demographic data
  suffolk.map <- importBardShape(
    system.file("shapefiles/suffolk_tracts.shp", package="BARD"))
    
  # choose number of districts
  ndists <- 5

  # create some initial plans
  kplan1 <- createKmeansPlan(suffolk.map,ndists)
  kplan2 <- createKmeansPlan(suffolk.map,ndists)

  # read and write images
  writeBardCheckpoint(paste(tempdir(),"/checkpoint1",sep=""),
    restart.fun=function(){cat("Welcome back\n")})
  readBardCheckpoint(paste(tempdir(),"/checkpoint1",sep=""))



